New release gives Assets/Photon Unity Networking/Plugins/PhotonNetwork/NetworkingPeer.cs(655,22): er

I just pulled the new release of Photon PUN and Photon Chat. and I get this error.

Assets/Photon Unity Networking/Plugins/PhotonNetwork/NetworkingPeer.cs(655,22): error CS0122: `ExitGames.Client.Photon.PhotonPeer.SocketImplementation' is inaccessible due to its protection level.

I also get an error in ChatNewGUI.cs and had to add the namespace before AuthenticationValues.
this.chatClient.Connect(chatAppId, "1.0", new ExitGames.Client.Photon.Chat.AuthenticationValues(UserName)); I think because the namespace and the class are the same it gives an error.

Comments

  • This error looks like your source did not get the update. The package's dlls got a new way to set a socket implementation, so the error is not unexpected with old sources.

    Please import once more. Try to get Unity to update those files, too. In doubt import into a new, emtpy project and copy paste the files.

    Can you let me know which platform you build for?